# Uses of Class
org.apache.solr.common.util.FastOutputStream

Packages that use FastOutputStream
Package
Description
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of FastOutputStream in org.apache.solr.common.util

Fields in org.apache.solr.common.util declared as FastOutputStream
Modifier and Type
Field
Description
`protected FastOutputStream`
JavaBinCodec.`daos`
Methods in org.apache.solr.common.util that return FastOutputStream
Modifier and Type
Method
Description
`static FastOutputStream`
FastOutputStream.`wrap(OutputStream sink)`
Methods in org.apache.solr.common.util with parameters of type FastOutputStream
Modifier and Type
Method
Description
`void`
JavaBinCodec.`init(FastOutputStream os)`
expert: sets a new output stream
`static void`
JavaBinCodec.`writeVInt(int i, FastOutputStream out)`
Special method for variable length int (copied from lucene).
`static void`
JavaBinCodec.`writeVLong(long i, FastOutputStream out)`